| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
isf_dsa_ControlData_st Struct Reference

This defines the DSA adapter functional interface. More...

`#include <isf_dsa_adapter.h>`

Collaboration diagram for isf_dsa_ControlData_st:

## Data Fields
event_t * | pEventGroup
uint32 | nEventFieldIndex
isf_dsa_SensorSettings_t | sensorSettings

## Detailed Description

This defines the DSA adapter functional interface.

Definition at line 90 of file isf_dsa_adapter.h.

## Field Documentation

uint32 nEventFieldIndex

The event flag of the event group to signal after depositing sensor sample in pSampleBuffer.

Definition at line 93 of file isf_dsa_adapter.h.

Referenced by Analog_1_fsl_Sensor_Generic_AnalogCallback(), Custom_1_fsl_Sensor_Custom_PeriodicCallback(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxlc95000_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxls8952_i2c_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma8491q_read_data_OneShotCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mma955x_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and init_sensor().

event_t* pEventGroup

The event group to signal after depositing sensor sample in pDataBuff.

Definition at line 92 of file isf_dsa_adapter.h.

Referenced by Analog_1_fsl_Sensor_Generic_AnalogCallback(), Custom_1_fsl_Sensor_Custom_PeriodicCallback(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxlc95000_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxls8952_i2c_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma8491q_read_data_OneShotCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mma955x_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and init_sensor().

isf_dsa_SensorSettings_t sensorSettings

The configuration parameters from the user including the fifo to use

Definition at line 94 of file isf_dsa_adapter.h.

Referenced by Analog_1_fsl_Sensor_Generic_AnalogCallback(), configure_sensor(), Custom_1_fsl_Sensor_Custom_PeriodicCallback(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxlc95000_Configure(), fsl_fxlc95000_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_Configure(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxls8952_i2c_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_Configure(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma8491q_i2c_3D_accel_Configure(), fsl_mma8491q_read_data_OneShotCallback(), fsl_mma865x_i2c_3D_accel_Configure(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mma955x_Configure(), fsl_mma955x_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_Configure(), fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and mpl3115_ValidateConfig().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf_dsa_adapter.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.